be.fgov.ehealth.bcp.protocol.v2

## Class Endpoint

- java.lang.Object
- - be.fgov.ehealth.bcp.protocol.v2.Endpoint

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:51:20+02:00",
                 comments="JAXB RI v2.3.7")
      public class Endpoint
      extends Object
      implements Serializable

  Java class for EndpointType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EndpointType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>anyURI">
             <attribute name="Order" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
             <attribute name="Status" use="required" type="{urn:be:fgov:ehealth:bcp:protocol:v2}StatusType" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Endpoint()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `getOrder()` Gets the value of the order property.
    `StatusType` | `getStatus()` Gets the value of the status property.
    `String` | `getValue()` Gets the value of the value property.
    `void` | `setOrder(BigInteger value)` Sets the value of the order property.
    `void` | `setStatus(StatusType value)` Sets the value of the status property.
    `void` | `setValue(String value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Endpoint

          public Endpoint()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOrder

          public BigInteger getOrder()

      Gets the value of the order property.
      Returns:
        possible object is `BigInteger`

    - #### setOrder

          public void setOrder(BigInteger value)

      Sets the value of the order property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getStatus

          public StatusType getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `StatusType`

    - #### setStatus

          public void setStatus(StatusType value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `StatusType`

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.